org.apache.ignite.platform

## Interface PlatformJavaObjectFactory<T>

All Known Subinterfaces:
  PlatformJavaObjectFactoryEx<T>

All Known Implementing Classes:
  PlatformDefaultJavaObjectFactory, PlatformJavaObjectSingletonFactory

    public interface PlatformJavaObjectFactory<T>

Object factory used for advanced interop between platform and Java.

Use it when you need Java component for some Ignite feature in platform code. E.g. Java-based continuous query filter.

You should implement the factory, compile it and then place it into node's classpath. Then you can reference the factory form platform code using it's fully-qualified Java class name.

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `create()` Constructs and returns a fully configured instance of T.

### Method Detail

#### create

    T create()

Constructs and returns a fully configured instance of T.

Returns:
  An instance of T.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020